> For the complete documentation index, see [llms.txt](https://docs.stakelocal.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stakelocal.io/dashboard-installation/prometheus-jobs-and-targets/optional-grafana-target.md).

# Optional: Grafana Target

## Grafana

### Create Prometheus Target

The Stake Local dashboard provides only basic, high-level information about Grafana. It may only include memory use, version information, and latest GitHub release. Configuring this target is optional.

Edit the Grafana configuration file in the `/etc/prometheus/files_sd/stakelocal/other` directory.

<pre class="language-bash"><code class="lang-bash"><strong>sudo nano /etc/prometheus/files_sd/stakelocal/other/grafana.yml
</strong></code></pre>

It should look like the following.

```yaml
    - targets: ['127.0.0.1:3000']
      labels:
        host: 'Default Host'
        service: 'Grafana'
        client: 'Grafana'
```

If this instance of Grafana is accessible at a different IP address or port, update those in the `targets` line.

Update the `host` and `service` labels, as needed. See [About Stake Local Labels](/dashboard-installation/prometheus-jobs-and-targets/about-stake-local-labels.md) for label definitions.

Save the file and exit the editor.

### Configure Grafana Monitoring

Turn on Grafana metrics by editing the Grafana configuration file.

```bash
sudo nano /etc/grafana/grafana.ini
```

Uncomment the `enabled = true` and `disable_total_stats = false` lines in the `[metrics]` section by removing the leading semicolon.

The following is an example from [Grafana's documentation on enabling metrics](https://grafana.com/docs/grafana/latest/setup-grafana/set-up-grafana-monitoring/#pull-metrics-from-grafana-into-prometheus).

```
# Metrics available at HTTP URL /metrics and /metrics/plugins/:pluginId
[metrics]
# Disable / Enable internal metrics
enabled           = true

# Disable total stats (stat_totals_*) metrics to be generated
disable_total_stats = false
```

Save the file and exit the editor.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stakelocal.io/dashboard-installation/prometheus-jobs-and-targets/optional-grafana-target.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
